Subject: Re: Poor man's manpage reader for cygwin/ming
From: [email-masked] (Fabrizio Lodi)

23 Feb 1998 05:48:09 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]
Cc: [email-masked]

[email-masked] wrote:
> 
> >   Fabrizio Lodi ([email-masked])
> >   Thu, 19 Feb 1998 10:04:34 +0100
> >[email-masked] wrote:
> >>
> >> The following manpage reader script seems to work pretty well under
> >> cygwin, and is made of handy parts that are easily available and
> >> portable to cygwin.
> >>
> >> In this case, less-332 was compiled using mingwin32, since there was
> >> alternate code in the less-332 source distribution that lets you take
> >> advantage of mingwin's rtldll.dll library instead of the cygwin terminal.
> >> Compiling less-332 using cygwin results in a version of less.exe that
> >> issues diagnostic messages indicating _where_ the cygwin terminal is broken.
> >> Also, zmore.exe seems to work well using `ln -s less.exe more.exe' as its
> >> version of more.exe.
> >> ========================================================================
> >>
> >> #!/bin/sh
> >> zmore $1 | nroff -man - | col | less
> >
> >To view man pages I've compiled without any problems thr groff package
> >from GNU (configured, compiled and installed through the provided
> >scripts and makefiles) and the standard distribution of man.
> >
> >As a pager I use less, that I've compiled whith any problem (of course,
> >after the compilation and installation of ncurses).
> >
> >Sure, it took near a day of work to be sure that all is working, but it
> >is worth the time spent.
> >--
> Fabrizio, I've been on other conferences in which people deliberately set
> out to lie about what is possible, and I think this is the case with you.
> I've implemented ncurses on cygwin, and it just doesn't work because of
> the cygwin terminal.  The only package that begins to work is the slang
> package with the Win32 extensions.  And, using less with ncurses should
> give you diagnostic messages about the cygwin terminal, and not the smooth,
> professional operation that defining `WINC32' and using MINGW32 to compile
> gives.  As for groff, you are an outright liar.  All the recent releases
> of groff crash the tar program under cygwin.  They cause `disk not ready'
> messages on the drive that tar was run under cygwin.  To get groff untarred,
> you have to reboot to Linux and use the Linux tar program.  And, groff uses
> a whole host of functions not available under cygwin.
> 
> So, I repeat, Fabrizio, you are a liar.  Get off this conference.
> 
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".

I can't wast a second to answer to this poor guy. I htink the sun is too
hot where he lives.

But I request officially to get him off that list, please. Or I want aq
*public* message of excuses.

-- 
____________________________________________________________
Fabrizio Lodi   | IEEE Computer Society | GLAMM Interactive |\
+39-335-6613385 | [email-masked]      | [email-masked]   |\
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".